## class osg::ValueVisitor

### Public Methods

ValueVisitor()
virtual void apply(GLbyte&)
virtual void apply(GLshort&)
virtual void apply(GLint&)
virtual void apply(GLushort&)
virtual void apply(GLubyte&)
virtual void apply(GLuint&)
virtual void apply(GLfloat&)
virtual void apply(UByte4&)
virtual void apply(Vec2&)
virtual void apply(Vec3&)
virtual void apply(Vec4&)

## Documentation

`ValueVisitor()`

`virtual void apply(GLbyte&)`

`virtual void apply(GLshort&)`

`virtual void apply(GLint&)`

`virtual void apply(GLushort&)`

`virtual void apply(GLubyte&)`

`virtual void apply(GLuint&)`

`virtual void apply(GLfloat&)`

`virtual void apply(UByte4&)`

`virtual void apply(Vec2&)`

`virtual void apply(Vec3&)`

`virtual void apply(Vec4&)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.